Xfce Foundation Classes
Main Page | Index | Namespace List | Alphabetical List | Class List | File List

# eventbox.hh File Reference

A GtkEventBox C++ wrapper interface. More...

`#include <xfc/gtk/bin.hh>`
`#include <gtk/gtkeventbox.h>`
`#include <xfc/gtk/inline/eventbox.inl>`

## Namespaces

- namespace Xfc
- namespace Xfc::Gtk

## Classes

- class Xfc::Gtk::EventBox
    A GtkEventBox C++ wrapper class. More...

## Detailed Description

A GtkEventBox C++ wrapper interface.

Provides EventBox, a widget that can be used to catch events for widgets which do not have their own window.
Xfce Foundation Classes

Copyright © 2004-2005 The XFC Development Team | XFC 4.3